﻿$ErrorActionPreference = 'Stop'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url32          = 'https://e3.boxcdn.net/box-installers/sync/Sync+4+External/SyncMSI32.msi'
$url64          = 'https://e3.boxcdn.net/box-installers/sync/Sync+4+External/SyncMSI64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI'
  url           = $url32
  checksum      = 'd4ae540f73b7058ca7d10417bd78aaa91a099b0a2d7ef7abff68d7d616686e69'
  checksumType  = 'SHA256'

  url64         = $url64
  checksum64    = '50cfa31237d7f44e2e09d48128ef24ba6d3eb6331c48243c0408c51203c6f088'
  checksumType64= 'SHA256'

  softwareName  = 'boxsync*'

  silentArgs    = "/quiet /norestart /l*v `"$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
Write-Verbose "Boxsync install log file is available at '$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPackageVersion).MsiInstall.log'"
